org.hibernate.search.query.dsl.impl

## Class ConnectedMultiFieldsPhraseQueryBuilder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsPhraseQueryBuilder

- All Implemented Interfaces:
    PhraseTermination, Termination<PhraseTermination>

      public class ConnectedMultiFieldsPhraseQueryBuilder
      extends Object
      implements PhraseTermination

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedMultiFieldsPhraseQueryBuilder(PhraseQueryContext phraseContext, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, List<FieldContext> fieldContexts, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `createQuery()` Return the lucene query representing the operation
    `Query` | `createQuery(FieldContext fieldContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedMultiFieldsPhraseQueryBuilder

          public ConnectedMultiFieldsPhraseQueryBuilder(PhraseQueryContext phraseContext,
                                                        org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                        List<FieldContext> fieldContexts,
                                                        QueryBuildingContext queryContext)

  - ### Method Detail

    - #### createQuery

          public Query createQuery()

      Description copied from interface: `Termination`
      Return the lucene query representing the operation
      Specified by:
        `createQuery` in interface `Termination<PhraseTermination>`
      Returns:
        the lucene query representing the operation

    - #### createQuery

          public Query createQuery(FieldContext fieldContext)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved